#!../../bin/darwin-x86/colbyhpdl100aTest

#
# Site-specific configuration
#
epicsEnvSet(P, "$(P=colbyhpdl100a:)")   # Set PV prefix 1
epicsEnvSet(ETHER, "$(HPDL100A_ETHERNET=164.54.0.11:1234)") # Set ethernet address

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/colbyhpdl100aTest.dbd",0,0)
colbyhpdl100aTest_registerRecordDeviceDriver(pdbbase)

## Load record instances
dbLoadRecords("db/devcolbyhpdl100a.db","P=$(P),R=test:,L=0,A=0")

## Load diagnostic record instance
dbLoadRecords("db/asynRecord.db","P=$(P),R=asyn,PORT=L0,ADDR=3,OMAX=0,IMAX=0")

## Set up IOC/hardware links -- GPIB/LAN connection
#vxi11Configure("L0", "$(ETHER)", 0, 0.0, "hpib", 0)

## Set up IOC/hardware links -- Remote serial port or direct network connection
##  (link, host, priority, noAutoConnect, noEosProcessing)
drvAsynIPPortConfigure("L0", "$(ETHER)", 0, 0, 0)

## Set up IOC/hardware links -- Local serial port
##  (link, ttyName, priority, noAutoConnect, noEosProcessing)
#drvAsynSerialPortConfigure("L0", "/dev/ttyS0", 0, 0, 0)
#asynSetOption("L0", 0, "baud", "38400")
#asynSetOption("L0", 0, "bits", "8")
#asynSetOption("L0", 0, "parity", "none")
#asynSetOption("L0", 0, "stop", "1")
#asynSetOption("L0", 0, "clocal", "N")
#asynSetOption("L0", 0, "crtscts", "Y")

## Turn on all diagnostic messages to stdout
#asynSetTraceMask("L0", -1, 0x9)
asynSetTraceIOMask("L0", -1, 0x2)
asynSetTraceIOTruncateSize("L0", -1, 120)

## Start EPICS
cd ${TOP}/iocBoot/${IOC}
iocInit()
